package com.jay.monitor.data.core.model.serializable.base;

import com.jay.monitor.data.core.enums.MsgTypeEnums;

import java.io.Serializable;
import java.util.Date;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 基础数据传输
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 16:22
 */
public class BaseDTO implements Serializable {

    public BaseDTO(MsgTypeEnums type) {
        this.type = type;
    }

    /**
     * 数据传输类型
     */
    private MsgTypeEnums type;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 拓展参数
     */
    private Map<String, Object> extMap = new LinkedHashMap<String, Object>();

    public MsgTypeEnums getType() {
        return type;
    }

    public Map<String, Object> getExtMap() {
        return extMap;
    }

    public void setExtMap(Map<String, Object> extMap) {
        this.extMap = extMap;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
